# Generated from maybe_client-1.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name maybe_client

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: Wrapper for connection clients that handles outages without raising errors (and thus taking the application down). Ideal for making the application resilient in case of 3rd party failures (think your redis cache instance goes down)
License: MIT
URL: https://github.com/renra/ruby-maybe_client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 3.4.0
# BuildRequires: rubygem(timecop) = 0.8.0
BuildArch: noarch

%description
Wrapper for connection clients that handles outages without raising errors
(and thus taking the application down). Ideal for making the application
resilient in case of 3rd party failures (think your redis cache instance goes
down).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.2.1-1
- Initial package
